<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
These are some examples of the revised user interface of AdvanceMAME.
</p>

<h1>Menu</h1>
<p>
This is the main menu of AdvanceMAME. The menu uses TrueType font
with alpha blending and a complete color customization.
To show the menu press the TAB key.
</p>

<center><img src="snap/mame-snap-menu.png" width="608" height="448" alt="Main menu snapshot"></center>

<h1>Video</h1>
<p>
This is the video menu where it's possibile to select the various video
parameters.
</p>

<p>
The options on the right are the user requests. The options on [ ] are the
current settings.
</p>

<ul>
<li>
The firstline display the size in pixels, the color depth, 
the horizontal frequency and the vertical frequency used.
<li>The <span class="bold">Mode</span> option selects the current video mode. The best is automatically choosen by the <em>auto</em> option.
<li>The <span class="bold">Magnify</span> option selects the magnify factor to use: <em>1</em> or <em>2</em>.
<li>The <span class="bold">Scanline</span> option selects the hardware scanline mode: <em>single</em> or <em>double</em>.
These are not fake scanline, they are true hardware scanline.
<li>The <span class="bold">Resize</span> option limits the possible stretching: <em>no</em>, <em>integer</em>, <em>mixed</em> or <em>fractional</em>.
<li>The <span class="bold">Color</span> option selects the color mode: <em>palette</em> or <em>RGB</em>.
<li>The <span class="bold">Resize Effect</span> option selects one of the special graphical effects to improve the image quality.
One of : <em>no</em>, <em>max</em>, <em>mean</em>, <em>filter</em>, <em>scale</em>, <em>lq</em> and <em>hq</em>.
<li>The <span class="bold">Rgb Effect</span> option selects one of the special RGB effects 
to simulate the aspect of the old Arcade Monitors.
One of : <em>no</em>, <em>triad3dot</em>, <em>triad6dot</em>, <em>triad16dot</em>, 
<em>scan2horz</em>, <em>scan3horz</em>, <em>scan2vert</em>, <em>scan3vert</em>.
<li>The <span class="bold">Vsync</span> option selects the wait mode to use.
<li>The <span class="bold">SMP</span> option enables the use of a Multiprocessor CPU for the final video blit.
</ul>

<p>
When the best setting are found they can be saved for 
the current game or for all the games that have the same resolution.
</p>

<center><img src="snap/mame-snap-video.png" width="608" height="448" alt="Video menu snapshot"></center>

<p>
The <em>Details</em> menu show the blit pipeline and the blit time.
</p>

<center><img src="snap/mame-snap-videod.png" width="608" height="448" alt="Video menu details snapshot"></center>

<h1>Audio</h1>
<p>
This is the audio menu where it's possibile to select the various audio
parameters.
</p>

<p>
The options on the right are the user requests. The options on [ ] are the
current settings.
</p>

<ul>
<li>The <span class="bold">Mode</span> option selects the current audio mode. You can use <em>mono</em>, <em>stereo</em> and <em>surround</em>.
<li>The <span class="bold">Attenuation</span> option control the output volume.
<li>The <span class="bold">Auto normalize</span> option enables the automatic volume control which use
the Fletcher-Munson "Equal Loudness Courve" to estimate the correct loudness.
<li>The <span class="bold">Amplifier</span> option selects the current audio amplification.
<li>The <span class="bold">Equalizer</span> options allow to equalize the audio output.
</ul>

<p>
When the best setting are found they can be saved for 
the current game.
</p>

<center><img src="snap/mame-snap-audio.png" width="608" height="448" alt="Audio menu snapshot"></center>

<p>
The <em>Details</em> menu show the audio pipeline, the audio processing time,
the incremental number of clipped audio samples and a spectral analysis
of the current audio output.
</p>

<center><img src="snap/mame-snap-audiod.png" width="608" height="448" alt="Audio menu details snapshot"></center>

<h1>Help</h1>
<p>
This is the help screen where you can see the available buttons for each player.
You can also customize the control image to match your control panel.
To show the Help screem press the F1 key.
</p>

<center><img src="snap/mame-snap-help.png" width="608" height="448" alt="Help panel snapshot"></center>

<h1>Exit</h1>
<p>
This is the menu shown when the SafeExit option is activated and you press the <em>ESC</em> button.
This option prevents any casual exit from the emulator.
</p>

<center><img src="snap/mame-snap-exit.png" width="608" height="448" alt="Exit menu snapshot"></center>

</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


